Bug Hunting Session
Bug 88051 - Linux Libertine G ligature followed by tab: strange behavior
Summary: Linux Libertine G ligature followed by tab: strange behavior
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.1 target:4.3....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2015-01-05 12:11 UTC by Axel Niedenhoff
Modified: 2015-12-17 08:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Fixes bug.... (960 bytes, patch)
2015-01-20 08:42 UTC, Rostislav 'R.Yu.' Okulov
Details
New test case (12.35 KB, application/vnd.oasis.opendocument.text)
2015-03-15 23:05 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Niedenhoff 2015-01-05 12:11:04 UTC
When you type some text with the Linux Libertine G font and press Tab after a ligature, you get a crossed-out box after the ligature.

Exampe: Type »stuff« and press Tab. You will see the text followed by the strange character. Depending on what you type afterwards, the crossed-out box might go away again.

There is a workaround that should work in most situations: Before the Tab, type a space.
Comment 1 Buovjaga 2015-01-15 08:23:43 UTC
Repro with 4.5 alpha, no repro with 3.5 -> regression.

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7201fa0dddd7dd0352f69fd2b2b64efcb361ccad
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-11_23:28:55

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 Rostislav 'R.Yu.' Okulov 2015-01-15 11:54:00 UTC
git bisect start
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect bad 423a84c4f7068853974887d98442bc2a2d0cc91b
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# bad: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect bad a900e72b6357882284c5955bdf939bf14269f5fb
# bad: [e1d0365cd2b073a859f59ad0a4584385a66dc611] source-hash-2eea96c702a44ab009743b0d22ef639127f0b57b
git bisect bad e1d0365cd2b073a859f59ad0a4584385a66dc611
# good: [98a55bf95f3ec29298751fd8fba76dd2236dce43] source-hash-58dfc97ca697875c36b7ddf14f5505a93d7b9cf8
git bisect good 98a55bf95f3ec29298751fd8fba76dd2236dce43
# good: [1f32fb58159d7f43a4bcb838765261d5274cbf38] source-hash-4a169e4203c10ec8f76b9bcb33882c82b65c7bab
git bisect good 1f32fb58159d7f43a4bcb838765261d5274cbf38
# bad: [e8547c17def5e45d1a9ff2cf5eb28b142b3daca0] source-hash-53ca207a700c9501e76c7770f6b1e3af89edd630
git bisect bad e8547c17def5e45d1a9ff2cf5eb28b142b3daca0
# skip: [7055a406c05b6da54733841dd0174c91d35f8652] source-hash-f985e3add3870c1dee7fe88d37388281a333403a
git bisect skip 7055a406c05b6da54733841dd0174c91d35f8652
# good: [90ec074ec2d27d01be33827b8143f231c5d9776a] source-hash-202d721e3cb35eb4402882dbe4b81ceccd9f4e0a
git bisect good 90ec074ec2d27d01be33827b8143f231c5d9776a
# bad: [19163314fd465d533ab673977290f07ac45a3103] source-hash-e45c729da21c6923032b64c543136efe066b756a
git bisect bad 19163314fd465d533ab673977290f07ac45a3103
# only skipped commits left to test
# possible first bad commit: [19163314fd465d533ab673977290f07ac45a3103] source-hash-e45c729da21c6923032b64c543136efe066b756a
# possible first bad commit: [7055a406c05b6da54733841dd0174c91d35f8652] source-hash-f985e3add3870c1dee7fe88d37388281a333403a

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
7055a406c05b6da54733841dd0174c91d35f8652
19163314fd465d533ab673977290f07ac45a3103
We cannot bisect more!
Comment 3 Matthew Francis 2015-01-15 14:59:22 UTC
The behaviour seems to have changed at the below commit.

Adding Cc: to nemeth@numbertext.org; Could you possibly take a look at this? Thanks


a831930986166a8c5cb231821426f5cf4d976df2 is the first bad commit
commit a831930986166a8c5cb231821426f5cf4d976df2
Author: László Németh <nemeth@numbertext.org>
Date:   Tue Feb 4 19:10:44 2014 +0100

    fdo#70666 fix Graphite ligature replacement at line breaks
    
    Change-Id: I5b7c149f7f419ba18bd2cc59f4e77a0b61280caa
Comment 4 Rostislav 'R.Yu.' Okulov 2015-01-20 08:42:36 UTC
Created attachment 112521 [details]
Fixes bug....

Don't really know how, but it fix the bug.
Comment 5 László Németh 2015-01-20 15:57:48 UTC
Unfortunately, it seems, I made an incomplete condition there, not handling the boundary position. I will fix it. Many thanks for your help!
Comment 8 László Németh 2015-03-15 23:05:37 UTC
Created attachment 114119 [details]
New test case

Source: http://bug.openscope.org/browse/OOO-985
Comment 9 Commit Notification 2015-03-15 23:46:14 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2981019cb7ec3befa79a7544cee3d402f458dbf

fdo#52540, fdo#88051: fix Graphite layout

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-03-18 20:25:20 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa543be363ffecf4d8ba9db4b26f0b6e0312b662&h=libreoffice-4-4

fdo#52540, fdo#88051: fix Graphite layout

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:43:09 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]